unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, Classes,
  Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, IPPeerClient,
  IPPeerServer, System.Tether.Manager, System.Tether.AppProfile, Tethering;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;

    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    TethSpr: TTetheringSpravce;
    SL: TStringList;

    procedure ResourceReceived(const Sender: TObject;
      const AResource: TRemoteResource);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormShow(Sender: TObject);
begin
  SL := TStringList.Create;
  TethSpr := TTetheringSpravce.VytvorSpravce('PC', 'tpro', ListBox1);
  TethSpr.MyTetheringAppProfile.OnResourceReceived := ResourceReceived;
end;

procedure TForm1.ResourceReceived(const Sender: TObject;
  const AResource: TRemoteResource);
var
  fs: TFileStream;
  ms: TMemoryStream;
begin
  if AResource.ResType = TRemoteResourceType.Data then // text
  begin
    ListBox1.Items.Add(AResource.Hint + ' ; ' + AResource.Value.AsString);
  end;

  if AResource.ResType = TRemoteResourceType.Stream then // soubor
  begin
    fs := TFileStream.Create('D:\' + AResource.Hint, fmCreate);
    try
      ms := TMemoryStream.Create;
      ms := TMemoryStream(AResource.Value.AsStream);
      ms.Position := 0;
      ms.SaveToStream(fs);
    finally
      freeandnil(fs);
    end;
  end;

end;

end.
